-- Generated by Ora2Pg, the Oracle database Schema converter, version 20.0
-- Copyright 2000-2019 Gilles DAROLD. All rights reserved.
-- DATASOURCE: dbi:Oracle:host=oracle11g;sid=xe;port=1521

SET client_encoding TO 'UTF8';

SET search_path = hr;
\set ON_ERROR_STOP ON

DROP TRIGGER IF EXISTS update_job_history ON employees CASCADE;
CREATE OR REPLACE FUNCTION trigger_fct_update_job_history() RETURNS trigger AS $BODY$
BEGIN
  PERFORM add_job_history(OLD.employee_id, OLD.hire_date, LOCALTIMESTAMP,
                  OLD.job_id, OLD.department_id);
RETURN NEW;
END
$BODY$
 LANGUAGE 'plpgsql' SECURITY DEFINER;
-- REVOKE ALL ON FUNCTION trigger_fct_update_job_history() FROM PUBLIC;

ALTER FUNCTION trigger_fct_update_job_history() OWNER TO hr;

CREATE TRIGGER update_job_history
	AFTER UPDATE OF job_id,department_id ON employees FOR EACH ROW
	EXECUTE PROCEDURE trigger_fct_update_job_history();

